hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gregory Chanan (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HBASE-6775) Use ZK.multi when available for HBASE-6710 0.92/0.94 compatibility fix
Date Thu, 13 Sep 2012 20:29:08 GMT

     [ https://issues.apache.org/jira/browse/HBASE-6775?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Gregory Chanan updated HBASE-6775:
----------------------------------

    Affects Version/s:     (was: 0.92.2)
                       0.94.2
        Fix Version/s:     (was: 0.92.3)
                       0.94.3

@Ted:

Yes, fixed.
                
> Use ZK.multi when available for HBASE-6710 0.92/0.94 compatibility fix
> ----------------------------------------------------------------------
>
>                 Key: HBASE-6775
>                 URL: https://issues.apache.org/jira/browse/HBASE-6775
>             Project: HBase
>          Issue Type: Improvement
>          Components: zookeeper
>    Affects Versions: 0.94.2
>            Reporter: Gregory Chanan
>            Assignee: Gregory Chanan
>            Priority: Minor
>             Fix For: 0.94.3
>
>
> HBASE-6710 fixed a 0.92/0.94 compatibility issue by writing two znodes in different formats.
> If a ZK failure occurs between the writing of the two znodes, strange behavior can result.
> This issue is a reminder to change these two ZK writes to use ZK.multi when we require
ZK 3.4+. 

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message